/*
AUTORE: Manuel Vichi
Il programma chiede in input un valore numerico intero poi fornisce in output il numero di cifre di cui è composto.
*/
#include <iostream>
using namespace std;
int main(void) {
	int num,cifre = 0, temp = 0;
	cout << "Inserisci un numero positivo: ";
	cin >> num;
	cout << endl;
	if (num == 0) {
		cout << "Il numero 0 ha 1 cifra.";
	}
	else {
		temp = num;
		do {
			temp = temp / 10;
			cifre++;
		} while (temp != 0);
		cout << "Il numero " << num << " ha " << cifre << " cifre.";
	}
	return 0;
}